<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [Sync](./git-documentdb.sync.md) &gt; [enqueuePushTask](./git-documentdb.sync.enqueuepushtask.md)

## Sync.enqueuePushTask() method

Enqueue push task to TaskQueue

<b>Signature:</b>

```typescript
enqueuePushTask(): Promise<SyncResultPush | SyncResultCancel>;
```
<b>Returns:</b>

Promise&lt;[SyncResultPush](./git-documentdb.syncresultpush.md) \| [SyncResultCancel](./git-documentdb.syncresultcancel.md)<!-- -->&gt;

## Exceptions

[PushWorkerError](./git-documentdb.pushworkererror.md)

[UnfetchedCommitExistsError](./git-documentdb.unfetchedcommitexistserror.md)

[PushNotAllowedError](./git-documentdb.pushnotallowederror.md)

